# 5.7. CUPTI PC Sampling Utility API

Functions, types, and enums that implement the CUPTI PC Sampling Utility API.

Data Structures

- CUPTI::PcSamplingUtil::BufferInfo: BufferInfo will be stored in the file for every buffer i.e for every call of UtilDumpPcSamplingBufferInFile() API.

- CUPTI::PcSamplingUtil::CUptiUtil_GetBufferInfoParams: Params for CuptiUtilGetBufferInfo .

- CUPTI::PcSamplingUtil::CUptiUtil_GetHeaderDataParams: Params for CuptiUtilGetHeaderData .

- CUPTI::PcSamplingUtil::CUptiUtil_GetPcSampDataParams: Params for CuptiUtilGetPcSampData .

- CUPTI::PcSamplingUtil::CUptiUtil_MergePcSampDataParams: Params for CuptiUtilMergePcSampData .

- CUPTI::PcSamplingUtil::CUptiUtil_PutPcSampDataParams: Params for CuptiUtilPutPcSampData .

- CUPTI::PcSamplingUtil::Header: Header info will be stored in file.

- CUPTI::PcSamplingUtil::PcSamplingStallReasons: All available stall reasons name and respective indexes will be stored in it.

Macros

- CUptiUtil_GetBufferInfoParamsSize

- CUptiUtil_GetHeaderDataParamsSize

- CUptiUtil_GetPcSampDataParamsSize

- CUptiUtil_MergePcSampDataParamsSize

- CUptiUtil_PutPcSampDataParamsSize

Enumerations

- CUPTI::PcSamplingUtil::CUptiUtilResult: CUPTI PC sampling utility API result codes.

- CUPTI::PcSamplingUtil::PcSamplingBufferType: CUPTI PC sampling buffer types.

Functions

- CUPTI::PcSamplingUtil::CuptiUtilGetBufferInfo(CUptiUtil_GetBufferInfoParams *pParams): Get buffer info data of file.

- CUPTI::PcSamplingUtil::CuptiUtilGetHeaderData(CUptiUtil_GetHeaderDataParams *pParams): Get header data of file.

- CUPTI::PcSamplingUtil::CuptiUtilGetPcSampData(CUptiUtil_GetPcSampDataParams *pParams): Retrieve PC sampling data from file into allocated buffer.

- CUPTI::PcSamplingUtil::CuptiUtilMergePcSampData(CUptiUtil_MergePcSampDataParams *pParams): Merge PC sampling data range id wise.

- CUPTI::PcSamplingUtil::CuptiUtilPutPcSampData(CUptiUtil_PutPcSampDataParams *pParams): Dump PC sampling data into the file.

## 5.7.1. Macros

CUptiUtil_GetBufferInfoParamsSize

CUptiUtil_GetHeaderDataParamsSize

CUptiUtil_GetPcSampDataParamsSize

CUptiUtil_MergePcSampDataParamsSize

CUptiUtil_PutPcSampDataParamsSize